MAP_DB(September, 1999)

NAME
map_db - read a FASTA (0), GENBANK flat file (1) PIR/VMS (5) or GCG binary (6) sequence database and produce the offsets necessary for efficient memory mapping.

SYNOPSIS
map_db [-n] filename | "filename libtype"

DESCRIPTION
map_db filename reads the sequence database in filename and produce a new file filename.xin with the offset information necessary for efficient memory mapping.

The programs in fasta version 32t08 can use memory mapped i/o to load sequence database files and read them efficiently. Memory mapping is used only if a ".xin " file is available. The ".xin " file is created by map_db .

In addition to map_db , list_db is available to display the database size, etc, and set of offsets calculated by map_db .

OPTIONS

-n  Read file as DNA database.

BUGS

AUTHOR
Bill Pearson
wrp@virginia.EDU